Skip to main content
GET
/
v1
/
conversations
/
{conversation_id}
Get conversation details
curl --request GET \
  --url https://api.coval.dev/v1/conversations/{conversation_id} \
  --header 'X-API-Key: <api-key>'
{ "conversation": { "name": "conversations/gk3jK9mPq2xRt5vW8yZaBc", "conversation_id": "gk3jK9mPq2xRt5vW8yZaBc", "status": "COMPLETED", "create_time": "2025-11-03T14:32:30Z", "external_conversation_id": "external-call-7x8z9a", "occurred_at": "2025-11-03T14:32:00Z", "has_audio": true, "agent_id": null, "persona_id": null, "progress": { "total_metrics": 5, "completed_metrics": 5, "failed_metrics": 0, "in_progress_metrics": 0 }, "metadata": { "campaign": "q4-support", "channel": "phone", "customer_tier": "premium" }, "metric_ids": [ "29BlkepvvX19ebbLDB0y6Q", "mymKvEg6ZA65srXbTX5wSM", "fstokU4ev5UmT8sUBexiwV" ], "error": null } }

Authorizations

X-API-Key
string
header
required

API key for authentication.

Path Parameters

conversation_id
string
required

Unique conversation identifier (22-26 characters)

Required string length: 22 - 26

Query Parameters

include_progress
boolean
default:true

Include progress tracking information

Response

Conversation details

conversation
object
required

Conversation resource object.